###########################################################################
#
#   sound.mak
#
#   Rules for building sound cores
#
#   Modified for P8000EMU - Matt Knoth
#   Copyright Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################


SOUNDSRC = $(EMUSRC)/sound
SOUNDOBJ = $(EMUOBJ)/sound

SOUNDDEFS += -DHAS_BEEP=$(if $(filter BEEP,$(SOUNDS)),1,0)

#-------------------------------------------------
# Core sound types
#-------------------------------------------------

ifneq ($(filter CUSTOM,$(SOUNDS)),)
SOUNDOBJS += $(SOUNDOBJ)/custom.o
endif

ifneq ($(filter SAMPLES,$(SOUNDS)),)
SOUNDOBJS += $(SOUNDOBJ)/samples.o
endif

ifneq ($(filter BEEP,$(SOUNDS)),)
SOUNDOBJS += $(SOUNDOBJ)/beep.o
endif

ifneq ($(filter DAC,$(SOUNDS)),)
SOUNDOBJS += $(SOUNDOBJ)/dac.o
endif

