/********************************************************************
 
   Driver for P8000 8bit board

   Copyright Matt Knoth 2008

   - This source code is released as freeware for non-commercial purposes.
   - You are free to use and redistribute this code in modified or
     unmodified form, provided you list me in the credits.
   - If you modify this source code, you must add a notice to each modified
     source file that it has been changed.
   - The author of this copywritten work reserves the right to change the
     terms of its usage and license at any time, including retroactively
   - This entire notice must remain in the source code.

*********************************************************************/

extern VIDEO_START( p8000_8 );
extern VIDEO_UPDATE( p8000_8 );
extern UINT8* p8000_8_CharROM;

extern const struct z80_irq_daisy_chain p8000_8_daisy_chain[];


void put_adm31_vt100( UINT8 term, UINT8 code );    // send a character to the terminal
void p8000_reset_button( void );                   // Reset button pressed
void p8000_nmi_button( void );                     // NMI button pressed
void p8000_16_reset_button( void );                // Reset button pressed
void p8000_16_nmi_button( void );                  // NMI button pressed

#define CTC0   0
#define PIO0   0
#define DPORT1 5 
#define DPORT2 6  
#define PIO1   1  
#define PIO2   2  
#define FDC    7  
#define SIO0   0  
#define SIO1   1  
#define CTC1   1  
#define DMA    0

